## net.percederberg.mib.asn1.analysis
Class SwitchAdapter

    java.lang.Object
      |
      +--net.percederberg.mib.asn1.analysis.SwitchAdapter

All Implemented Interfaces:
  Switch

public class SwitchAdapter
extends java.lang.Object
implements Switch

This class provides a default implementation of the Switch interface. By default all caseXXX methods call the defaultCase method, which is empty. This class should be subclassed and the appropriate methods overridden for handling various types of parse tree analysis.

Author:
  Per Cederberg, per@percederberg.nett

Constructor Summary
`SwitchAdapter()`

Method Summary
`void` `caseAlphabetConstraint(Node node)` Called upon switching this node type.
`void` `caseAnyType(Node node)` Called upon switching this node type.
`void` `caseAssignment(Node node)` Called upon switching this node type.
`void` `caseAssignmentList(Node node)` Called upon switching this node type.
`void` `caseBinaryString(Node node)` Called upon switching this node type.
`void` `caseBitStringType(Node node)` Called upon switching this node type.
`void` `caseBooleanValue(Node node)` Called upon switching this node type.
`void` `caseBuiltinType(Node node)` Called upon switching this node type.
`void` `caseBuiltinValue(Node node)` Called upon switching this node type.
`void` `caseCharString(Node node)` Called upon switching this node type.
`void` `caseChoiceType(Node node)` Called upon switching this node type.
`void` `caseClass(Node node)` Called upon switching this node type.
`void` `caseClassNumber(Node node)` Called upon switching this node type.
`void` `caseConstraint(Node node)` Called upon switching this node type.
`void` `caseConstraintList(Node node)` Called upon switching this node type.
`void` `caseDefinedMacroName(Node node)` Called upon switching this node type.
`void` `caseDefinedMacroType(Node node)` Called upon switching this node type.
`void` `caseDefinedType(Node node)` Called upon switching this node type.
`void` `caseDefinedValue(Node node)` Called upon switching this node type.
`void` `caseElementType(Node node)` Called upon switching this node type.
`void` `caseElementTypeList(Node node)` Called upon switching this node type.
`void` `caseEnumeratedType(Node node)` Called upon switching this node type.
`void` `caseEOF(Node node)` Called upon switching this node type.
`void` `caseExports(Node node)` Called upon switching this node type.
`void` `caseHexString(Node node)` Called upon switching this node type.
`void` `caseIdentifier(Node node)` Called upon switching this node type.
`void` `caseImports(Node node)` Called upon switching this node type.
`void` `caseIntegerType(Node node)` Called upon switching this node type.
`void` `caseLowerEndPoint(Node node)` Called upon switching this node type.
`void` `caseMacroBody(Node node)` Called upon switching this node type.
`void` `caseMacroDefinition(Node node)` Called upon switching this node type.
`void` `caseMacroReference(Node node)` Called upon switching this node type.
`void` `caseModuleBody(Node node)` Called upon switching this node type.
`void` `caseModuleDefinition(Node node)` Called upon switching this node type.
`void` `caseModuleIdentifier(Node node)` Called upon switching this node type.
`void` `caseModuleReference(Node node)` Called upon switching this node type.
`void` `caseNameAndNumberForm(Node node)` Called upon switching this node type.
`void` `caseNamedNumber(Node node)` Called upon switching this node type.
`void` `caseNamedNumberList(Node node)` Called upon switching this node type.
`void` `caseNamedType(Node node)` Called upon switching this node type.
`void` `caseNamedValue(Node node)` Called upon switching this node type.
`void` `caseNullValue(Node node)` Called upon switching this node type.
`void` `caseNumber(Node node)` Called upon switching this node type.
`void` `caseObjectIdentifierValue(Node node)` Called upon switching this node type.
`void` `caseObjIdComponent(Node node)` Called upon switching this node type.
`void` `caseObjIdComponentList(Node node)` Called upon switching this node type.
`void` `caseSelectionType(Node node)` Called upon switching this node type.
`void` `caseSequenceOfType(Node node)` Called upon switching this node type.
`void` `caseSequenceType(Node node)` Called upon switching this node type.
`void` `caseSetOfType(Node node)` Called upon switching this node type.
`void` `caseSetType(Node node)` Called upon switching this node type.
`void` `caseSignedNumber(Node node)` Called upon switching this node type.
`void` `caseSizeConstraint(Node node)` Called upon switching this node type.
`void` `caseSkipToEND(Node node)` Called upon switching this node type.
`void` `caseSnmpAccessPart(Node node)` Called upon switching this node type.
`void` `caseSnmpDefValPart(Node node)` Called upon switching this node type.
`void` `caseSnmpDescrPart(Node node)` Called upon switching this node type.
`void` `caseSnmpIndexPart(Node node)` Called upon switching this node type.
`void` `caseSnmpObjectTypeMacroType(Node node)` Called upon switching this node type.
`void` `caseSnmpReferPart(Node node)` Called upon switching this node type.
`void` `caseSnmpStatusPart(Node node)` Called upon switching this node type.
`void` `caseSnmpTrapTypeMacroType(Node node)` Called upon switching this node type.
`void` `caseSnmpVarPart(Node node)` Called upon switching this node type.
`void` `caseSpecialRealValue(Node node)` Called upon switching this node type.
`void` `caseStart(Node node)` Called upon switching this node type.
`void` `caseStringType(Node node)` Called upon switching this node type.
`void` `caseSymbol(Node node)` Called upon switching this node type.
`void` `caseSymbolList(Node node)` Called upon switching this node type.
`void` `caseSymbolsFromModule(Node node)` Called upon switching this node type.
`void` `caseSymbolsFromModuleList(Node node)` Called upon switching this node type.
`void` `caseTABSENT(Node node)` Called upon switching this node type.
`void` `caseTACCESS(Node node)` Called upon switching this node type.
`void` `caseTag(Node node)` Called upon switching this node type.
`void` `caseTagDefault(Node node)` Called upon switching this node type.
`void` `caseTaggedType(Node node)` Called upon switching this node type.
`void` `caseTANY(Node node)` Called upon switching this node type.
`void` `caseTAPPLICATION(Node node)` Called upon switching this node type.
`void` `caseTASSIGN(Node node)` Called upon switching this node type.
`void` `caseTBAR(Node node)` Called upon switching this node type.
`void` `caseTBEGIN(Node node)` Called upon switching this node type.
`void` `caseTBINSTRING(Node node)` Called upon switching this node type.
`void` `caseTBIT(Node node)` Called upon switching this node type.
`void` `caseTBOOLEAN(Node node)` Called upon switching this node type.
`void` `caseTBY(Node node)` Called upon switching this node type.
`void` `caseTCHOICE(Node node)` Called upon switching this node type.
`void` `caseTCOMMA(Node node)` Called upon switching this node type.
`void` `caseTCOMPONENT(Node node)` Called upon switching this node type.
`void` `caseTCOMPONENTS(Node node)` Called upon switching this node type.
`void` `caseTCSTRING(Node node)` Called upon switching this node type.
`void` `caseTDEFAULT(Node node)` Called upon switching this node type.
`void` `caseTDEFINED(Node node)` Called upon switching this node type.
`void` `caseTDEFINITIONS(Node node)` Called upon switching this node type.
`void` `caseTDEFVAL(Node node)` Called upon switching this node type.
`void` `caseTDESCRIPTION(Node node)` Called upon switching this node type.
`void` `caseTDOT(Node node)` Called upon switching this node type.
`void` `caseTEND(Node node)` Called upon switching this node type.
`void` `caseTENTERPRISE(Node node)` Called upon switching this node type.
`void` `caseTENUMERATED(Node node)` Called upon switching this node type.
`void` `caseTEXPLICIT(Node node)` Called upon switching this node type.
`void` `caseTEXPORTS(Node node)` Called upon switching this node type.
`void` `caseTFALSE(Node node)` Called upon switching this node type.
`void` `caseTFROM(Node node)` Called upon switching this node type.
`void` `caseTHEXSTRING(Node node)` Called upon switching this node type.
`void` `caseTIDENTIFIER(Node node)` Called upon switching this node type.
`void` `caseTIMPLICIT(Node node)` Called upon switching this node type.
`void` `caseTIMPORTS(Node node)` Called upon switching this node type.
`void` `caseTINCLUDES(Node node)` Called upon switching this node type.
`void` `caseTINDEX(Node node)` Called upon switching this node type.
`void` `caseTINTEGER(Node node)` Called upon switching this node type.
`void` `caseTLCASEFIRST_IDENT(Node node)` Called upon switching this node type.
`void` `caseTLEFTBRACE(Node node)` Called upon switching this node type.
`void` `caseTLEFTBRACKET(Node node)` Called upon switching this node type.
`void` `caseTLEFTPAREN(Node node)` Called upon switching this node type.
`void` `caseTLESSTHAN(Node node)` Called upon switching this node type.
`void` `caseTMACRO(Node node)` Called upon switching this node type.
`void` `caseTMAX(Node node)` Called upon switching this node type.
`void` `caseTMIN(Node node)` Called upon switching this node type.
`void` `caseTMINUS_INFINITY(Node node)` Called upon switching this node type.
`void` `caseTMINUS(Node node)` Called upon switching this node type.
`void` `caseTNULL(Node node)` Called upon switching this node type.
`void` `caseTNUMBER(Node node)` Called upon switching this node type.
`void` `caseTOBJECT_TYPE(Node node)` Called upon switching this node type.
`void` `caseTOBJECT(Node node)` Called upon switching this node type.
`void` `caseTOCTET(Node node)` Called upon switching this node type.
`void` `caseTOF(Node node)` Called upon switching this node type.
`void` `caseTOPTIONAL(Node node)` Called upon switching this node type.
`void` `caseTPLUS_INFINITY(Node node)` Called upon switching this node type.
`void` `caseTPRESENT(Node node)` Called upon switching this node type.
`void` `caseTPRIVATE(Node node)` Called upon switching this node type.
`void` `caseTREAL(Node node)` Called upon switching this node type.
`void` `caseTREFERENCE(Node node)` Called upon switching this node type.
`void` `caseTRIGHTBRACE(Node node)` Called upon switching this node type.
`void` `caseTRIGHTBRACKET(Node node)` Called upon switching this node type.
`void` `caseTRIGHTPAREN(Node node)` Called upon switching this node type.
`void` `caseTSEMI_COLON(Node node)` Called upon switching this node type.
`void` `caseTSEQUENCE(Node node)` Called upon switching this node type.
`void` `caseTSET(Node node)` Called upon switching this node type.
`void` `caseTSIZE(Node node)` Called upon switching this node type.
`void` `caseTSTATUS(Node node)` Called upon switching this node type.
`void` `caseTSTRING(Node node)` Called upon switching this node type.
`void` `caseTSYNTAX(Node node)` Called upon switching this node type.
`void` `caseTTAGS(Node node)` Called upon switching this node type.
`void` `caseTTRAP_TYPE(Node node)` Called upon switching this node type.
`void` `caseTTRUE(Node node)` Called upon switching this node type.
`void` `caseTUCASEFIRST_IDENT(Node node)` Called upon switching this node type.
`void` `caseTUNIVERSAL(Node node)` Called upon switching this node type.
`void` `caseTVARIABLES(Node node)` Called upon switching this node type.
`void` `caseTWITH(Node node)` Called upon switching this node type.
`void` `caseType(Node node)` Called upon switching this node type.
`void` `caseTypeAssignment(Node node)` Called upon switching this node type.
`void` `caseTypeOrValue(Node node)` Called upon switching this node type.
`void` `caseTypeOrValueList(Node node)` Called upon switching this node type.
`void` `caseTypeReference(Node node)` Called upon switching this node type.
`void` `caseUpperEndPoint(Node node)` Called upon switching this node type.
`void` `caseValue(Node node)` Called upon switching this node type.
`void` `caseValueAssignment(Node node)` Called upon switching this node type.
`void` `caseValueConstraint(Node node)` Called upon switching this node type.
`void` `caseValueRange(Node node)` Called upon switching this node type.
`void` `caseVarTypes(Node node)` Called upon switching this node type.
`protected void` `defaultCase(Node node)` A default method called from all caseXXX methods.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SwitchAdapter

    public SwitchAdapter()

Method Detail

### caseStart

    public void caseStart(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseStart` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseModuleDefinition

    public void caseModuleDefinition(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseModuleDefinition` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTagDefault

    public void caseTagDefault(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTagDefault` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseModuleIdentifier

    public void caseModuleIdentifier(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseModuleIdentifier` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseModuleBody

    public void caseModuleBody(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseModuleBody` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseExports

    public void caseExports(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseExports` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseImports

    public void caseImports(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseImports` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseSymbolsFromModuleList

    public void caseSymbolsFromModuleList(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseSymbolsFromModuleList` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseSymbolsFromModule

    public void caseSymbolsFromModule(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseSymbolsFromModule` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseSymbolList

    public void caseSymbolList(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseSymbolList` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseSymbol

    public void caseSymbol(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseSymbol` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseAssignmentList

    public void caseAssignmentList(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseAssignmentList` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseAssignment

    public void caseAssignment(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseAssignment` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseMacroDefinition

    public void caseMacroDefinition(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseMacroDefinition` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseMacroBody

    public void caseMacroBody(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseMacroBody` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseSkipToEND

    public void caseSkipToEND(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseSkipToEND` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseMacroReference

    public void caseMacroReference(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseMacroReference` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTypeAssignment

    public void caseTypeAssignment(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTypeAssignment` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseType

    public void caseType(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseType` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseBuiltinType

    public void caseBuiltinType(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseBuiltinType` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseIntegerType

    public void caseIntegerType(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseIntegerType` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseNamedNumberList

    public void caseNamedNumberList(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseNamedNumberList` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseNamedNumber

    public void caseNamedNumber(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseNamedNumber` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseSignedNumber

    public void caseSignedNumber(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseSignedNumber` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseStringType

    public void caseStringType(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseStringType` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseBitStringType

    public void caseBitStringType(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseBitStringType` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseSequenceType

    public void caseSequenceType(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseSequenceType` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseSequenceOfType

    public void caseSequenceOfType(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseSequenceOfType` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseSetType

    public void caseSetType(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseSetType` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseSetOfType

    public void caseSetOfType(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseSetOfType` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseElementTypeList

    public void caseElementTypeList(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseElementTypeList` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseElementType

    public void caseElementType(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseElementType` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseNamedType

    public void caseNamedType(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseNamedType` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseChoiceType

    public void caseChoiceType(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseChoiceType` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseEnumeratedType

    public void caseEnumeratedType(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseEnumeratedType` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseSelectionType

    public void caseSelectionType(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseSelectionType` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTaggedType

    public void caseTaggedType(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTaggedType` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTag

    public void caseTag(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTag` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseClassNumber

    public void caseClassNumber(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseClassNumber` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseClass

    public void caseClass(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseClass` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseAnyType

    public void caseAnyType(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseAnyType` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseDefinedType

    public void caseDefinedType(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseDefinedType` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseConstraintList

    public void caseConstraintList(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseConstraintList` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseConstraint

    public void caseConstraint(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseConstraint` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseValueConstraint

    public void caseValueConstraint(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseValueConstraint` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseValueRange

    public void caseValueRange(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseValueRange` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseLowerEndPoint

    public void caseLowerEndPoint(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseLowerEndPoint` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseUpperEndPoint

    public void caseUpperEndPoint(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseUpperEndPoint` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseSizeConstraint

    public void caseSizeConstraint(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseSizeConstraint` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseAlphabetConstraint

    public void caseAlphabetConstraint(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseAlphabetConstraint` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseValueAssignment

    public void caseValueAssignment(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseValueAssignment` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseValue

    public void caseValue(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseValue` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseDefinedValue

    public void caseDefinedValue(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseDefinedValue` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseBuiltinValue

    public void caseBuiltinValue(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseBuiltinValue` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseBooleanValue

    public void caseBooleanValue(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseBooleanValue` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseSpecialRealValue

    public void caseSpecialRealValue(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseSpecialRealValue` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseNullValue

    public void caseNullValue(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseNullValue` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseNamedValue

    public void caseNamedValue(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseNamedValue` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseObjectIdentifierValue

    public void caseObjectIdentifierValue(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseObjectIdentifierValue` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseObjIdComponentList

    public void caseObjIdComponentList(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseObjIdComponentList` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseObjIdComponent

    public void caseObjIdComponent(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseObjIdComponent` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseNameAndNumberForm

    public void caseNameAndNumberForm(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseNameAndNumberForm` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseBinaryString

    public void caseBinaryString(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseBinaryString` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseHexString

    public void caseHexString(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseHexString` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseCharString

    public void caseCharString(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseCharString` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseNumber

    public void caseNumber(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseNumber` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseIdentifier

    public void caseIdentifier(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseIdentifier` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseModuleReference

    public void caseModuleReference(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseModuleReference` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTypeReference

    public void caseTypeReference(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTypeReference` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseDefinedMacroType

    public void caseDefinedMacroType(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseDefinedMacroType` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseDefinedMacroName

    public void caseDefinedMacroName(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseDefinedMacroName` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseSnmpObjectTypeMacroType

    public void caseSnmpObjectTypeMacroType(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseSnmpObjectTypeMacroType` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseSnmpTrapTypeMacroType

    public void caseSnmpTrapTypeMacroType(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseSnmpTrapTypeMacroType` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseSnmpAccessPart

    public void caseSnmpAccessPart(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseSnmpAccessPart` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseSnmpStatusPart

    public void caseSnmpStatusPart(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseSnmpStatusPart` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseSnmpDescrPart

    public void caseSnmpDescrPart(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseSnmpDescrPart` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseSnmpReferPart

    public void caseSnmpReferPart(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseSnmpReferPart` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseSnmpIndexPart

    public void caseSnmpIndexPart(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseSnmpIndexPart` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTypeOrValueList

    public void caseTypeOrValueList(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTypeOrValueList` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTypeOrValue

    public void caseTypeOrValue(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTypeOrValue` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseSnmpDefValPart

    public void caseSnmpDefValPart(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseSnmpDefValPart` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseSnmpVarPart

    public void caseSnmpVarPart(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseSnmpVarPart` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseVarTypes

    public void caseVarTypes(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseVarTypes` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseEOF

    public void caseEOF(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseEOF` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTDOT

    public void caseTDOT(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTDOT` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTCOMMA

    public void caseTCOMMA(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTCOMMA` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTSEMI_COLON

    public void caseTSEMI_COLON(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTSEMI_COLON` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTLEFTPAREN

    public void caseTLEFTPAREN(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTLEFTPAREN` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTRIGHTPAREN

    public void caseTRIGHTPAREN(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTRIGHTPAREN` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTLEFTBRACE

    public void caseTLEFTBRACE(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTLEFTBRACE` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTRIGHTBRACE

    public void caseTRIGHTBRACE(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTRIGHTBRACE` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTLEFTBRACKET

    public void caseTLEFTBRACKET(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTLEFTBRACKET` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTRIGHTBRACKET

    public void caseTRIGHTBRACKET(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTRIGHTBRACKET` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTMINUS

    public void caseTMINUS(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTMINUS` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTLESSTHAN

    public void caseTLESSTHAN(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTLESSTHAN` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTBAR

    public void caseTBAR(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTBAR` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTASSIGN

    public void caseTASSIGN(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTASSIGN` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTDEFINITIONS

    public void caseTDEFINITIONS(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTDEFINITIONS` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTEXPLICIT

    public void caseTEXPLICIT(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTEXPLICIT` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTIMPLICIT

    public void caseTIMPLICIT(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTIMPLICIT` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTTAGS

    public void caseTTAGS(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTTAGS` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTBEGIN

    public void caseTBEGIN(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTBEGIN` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTEND

    public void caseTEND(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTEND` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTEXPORTS

    public void caseTEXPORTS(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTEXPORTS` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTIMPORTS

    public void caseTIMPORTS(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTIMPORTS` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTFROM

    public void caseTFROM(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTFROM` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTMACRO

    public void caseTMACRO(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTMACRO` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTINTEGER

    public void caseTINTEGER(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTINTEGER` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTREAL

    public void caseTREAL(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTREAL` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTBOOLEAN

    public void caseTBOOLEAN(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTBOOLEAN` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTNULL

    public void caseTNULL(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTNULL` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTBIT

    public void caseTBIT(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTBIT` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTOCTET

    public void caseTOCTET(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTOCTET` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTSTRING

    public void caseTSTRING(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTSTRING` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTENUMERATED

    public void caseTENUMERATED(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTENUMERATED` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTSEQUENCE

    public void caseTSEQUENCE(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTSEQUENCE` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTSET

    public void caseTSET(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTSET` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTOF

    public void caseTOF(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTOF` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTCHOICE

    public void caseTCHOICE(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTCHOICE` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTUNIVERSAL

    public void caseTUNIVERSAL(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTUNIVERSAL` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTAPPLICATION

    public void caseTAPPLICATION(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTAPPLICATION` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTPRIVATE

    public void caseTPRIVATE(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTPRIVATE` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTANY

    public void caseTANY(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTANY` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTDEFINED

    public void caseTDEFINED(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTDEFINED` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTBY

    public void caseTBY(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTBY` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTOBJECT

    public void caseTOBJECT(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTOBJECT` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTIDENTIFIER

    public void caseTIDENTIFIER(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTIDENTIFIER` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTINCLUDES

    public void caseTINCLUDES(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTINCLUDES` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTMIN

    public void caseTMIN(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTMIN` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTMAX

    public void caseTMAX(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTMAX` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTSIZE

    public void caseTSIZE(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTSIZE` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTWITH

    public void caseTWITH(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTWITH` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTCOMPONENT

    public void caseTCOMPONENT(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTCOMPONENT` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTCOMPONENTS

    public void caseTCOMPONENTS(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTCOMPONENTS` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTPRESENT

    public void caseTPRESENT(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTPRESENT` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTABSENT

    public void caseTABSENT(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTABSENT` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTOPTIONAL

    public void caseTOPTIONAL(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTOPTIONAL` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTDEFAULT

    public void caseTDEFAULT(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTDEFAULT` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTTRUE

    public void caseTTRUE(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTTRUE` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTFALSE

    public void caseTFALSE(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTFALSE` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTPLUS_INFINITY

    public void caseTPLUS_INFINITY(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTPLUS_INFINITY` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTMINUS_INFINITY

    public void caseTMINUS_INFINITY(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTMINUS_INFINITY` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTOBJECT_TYPE

    public void caseTOBJECT_TYPE(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTOBJECT_TYPE` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTTRAP_TYPE

    public void caseTTRAP_TYPE(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTTRAP_TYPE` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTSYNTAX

    public void caseTSYNTAX(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTSYNTAX` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTACCESS

    public void caseTACCESS(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTACCESS` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTSTATUS

    public void caseTSTATUS(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTSTATUS` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTDESCRIPTION

    public void caseTDESCRIPTION(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTDESCRIPTION` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTREFERENCE

    public void caseTREFERENCE(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTREFERENCE` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTINDEX

    public void caseTINDEX(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTINDEX` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTDEFVAL

    public void caseTDEFVAL(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTDEFVAL` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTENTERPRISE

    public void caseTENTERPRISE(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTENTERPRISE` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTVARIABLES

    public void caseTVARIABLES(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTVARIABLES` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTBINSTRING

    public void caseTBINSTRING(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTBINSTRING` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTHEXSTRING

    public void caseTHEXSTRING(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTHEXSTRING` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTCSTRING

    public void caseTCSTRING(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTCSTRING` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTUCASEFIRST_IDENT

    public void caseTUCASEFIRST_IDENT(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTUCASEFIRST_IDENT` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTLCASEFIRST_IDENT

    public void caseTLCASEFIRST_IDENT(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTLCASEFIRST_IDENT` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### caseTNUMBER

    public void caseTNUMBER(Node node)

  Called upon switching this node type. By default calls the defaultCase method.
  Specified by:
    `caseTNUMBER` in interface `Switch`
  Parameters:
    `node` - a parse tree node

### defaultCase

    protected void defaultCase(Node node)

  A default method called from all caseXXX methods. Override this method in a subclass to handle the default case.
  Parameters:
    `node` - a parse tree node